# data
All resources involved in data analytics

## Setup and Usage of deploy_views.py

### Initial Setup

1. Create a virtual environment:
```bash
python3 -m venv venv
```

2. Activate the virtual environment:
```bash
source venv/bin/activate  # On Unix/macOS
# or
.\venv\Scripts\activate  # On Windows
```

3. Install required packages:
```bash
pip install -r requirements.txt
```

### Usage

The `deploy_views.py` script can be used in three ways:

1. List all SQL files that would be processed (without making changes):
```bash
python scripts/deploy_views.py --list
```

2. Deploy a specific view:
```bash
python scripts/deploy_views.py --target view_name
# or with .sql extension
python scripts/deploy_views.py --target view_name.sql
```

3. Deploy all views:
```bash
python scripts/deploy_views.py
```

### Important Notes

- Always ensure the virtual environment is activated before running the script (you'll see `(venv)` in your terminal prompt)
- The script requires a `.env` file with the following variables:
  - POSTGRES_HOST
  - POSTGRES_PORT
  - POSTGRES_DB
  - POSTGRES_USER
  - POSTGRES_PASSWORD
